package com.hzya.frame.sys.sysenum;

/**
 * @Description sys 枚举
 * @Author xiangerlin
 * @Date 2023/7/31 09:48
 **/
public enum SysEnum {
    AUTHPORT("authport","authport"),//授权参数类型
    FUNDAMENTAL("fundamental","fundamental"),//基本类型
    COMPLEX("complex","complex"),//复杂类型
    FUNDAMENTALLIST("fundamentallist","fundamentallist"),//基本列表
    COMPLEXLIST("complexlist","complexlist"),//复杂列表
    CHILDREN("children","children"),//复杂列表
    CONCRETETYPE("concreteType","concreteType"),//复杂列表

    NEED_LOGIN("need_login","1"),//是否要登陆 1待办要登陆
    PARAMETERNAME("parameterName","parameterName"),//参数名字段
    PARAMETERTYPE("parameterType","parameterType"),//参数类型
    EXAMPLE("example","example"),//示例值
    ATONCE("atonce","Y"),//执行策略 Y:立即执行
    TIMING("timing","N"),//执行策略 N：定时执行
    OPEN("open","1"),//任务状态 1:开启
    SHUTDOWN("shutdown","2"),//任务状态 2:关闭
    ;

    private String type;//类型
    private String value;//值

    SysEnum(String type, String value) {
        this.type = type;
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
